bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

bug#26020: 25.2 rc2 won't use Xaw3d or Imagemagick at compile time


From: Glenn Morris
Subject: bug#26020: 25.2 rc2 won't use Xaw3d or Imagemagick at compile time
Date: Tue, 07 Mar 2017 15:17:54 -0500
User-agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)

address@hidden wrote:

> Both Imagemagick and xaw3d are installed on my system.
> Neither are included in the build.

Because you are missing the development versions of the packages.

> [emacs-25.2]mach1[133]% rpm -qa | grep -i aw3d
> Xaw3d-1.5E-15.1.el6.x86_64
> [emacs-25.2]mach1[134]% rpm -qa | grep -i imagem
> ImageMagick-6.7.8.9-13.el7_2.x86_64
> ImageMagick-c++-6.7.8.9-13.el7_2.x86_64
> ImageMagick-perl-6.7.8.9-13.el7_2.x86_64

You also need
Xaw3d-devel ImageMagick-devel

> [emacs-25.2]mach1[128]% ./configure --with-x-toolkit=motif

You are one of the very few people I've ever seen use the motif toolkit.
It's not related to your report, but could you say why you prefer it to
lucid or gtk?





reply via email to

[Prev in Thread] Current Thread [Next in Thread]